Name:		seabios
Version:	1.11.0
Release:	1
Summary:	Open-source legacy BIOS implementation


Group:		Emulators
License:	LGPLv3
URL:		http://www.coreboot.org/SeaBIOS
Source0:	http://code.coreboot.org/p/seabios/downloads/get/%{name}-%{version}.tar.gz

Source10:	config.vga.cirrus
Source11:	config.vga.isavga
Source12:	config.vga.qxl
Source13:	config.vga.stdvga
Source14:	config.vga.vmware
Source15:	config.csm
Source16:	config.coreboot
Source17:	config.seabios-128k
Source18:	config.seabios-256k
Source19:	config.vga.virtio

Patch0004:	0004-Workaround-for-a-win8.1-32-S4-resume-bug.patch
Patch0005:	0005-reserve-more-memory-on-fseg.patch
Patch0006:	0006-vgabios-Reorder-video-modes-to-work-around-a-Windows.patch


BuildRequires:	python iasl

Requires:	%{name}-bin = %{version}-%{release}
Requires:	seavgabios-bin = %{version}-%{release}
Buildarch:	noarch

# Seabios is noarch, but required on architectures which cannot build it.
# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

# You can build a debugging version of the BIOS by setting this to a
# value > 1.  See src/config.h for possible values, but setting it to
# a number like 99 will enable all possible debugging.  Note that
# debugging goes to a special qemu port that you have to enable.  See
# the SeaBIOS top-level README file for the magic qemu invocation to
# enable this.
%global debug_level 1


%description
SeaBIOS is an open-source legacy BIOS implementation which can be used as
a coreboot payload. It implements the standard BIOS calling interfaces
that a typical x86 proprietary BIOS implements.


%package bin
Summary: Seabios for x86
Buildarch: noarch


%description bin
SeaBIOS is an open-source legacy BIOS implementation which can be used as
a coreboot payload. It implements the standard BIOS calling interfaces
that a typical x86 proprietary BIOS implements.


%package -n seavgabios-bin
Summary:	Seavgabios for x86
Buildarch:	noarch
Obsoletes:	vgabios < %{version}-%{release}
Provides:	vgabios = %{version}-%{release}

%description -n seavgabios-bin
SeaVGABIOS is an open-source VGABIOS implementation.


%prep
%setup -q
%apply_patches


%build
export CFLAGS="%{optflags}"
mkdir binaries

build_bios() {
	make clean distclean
	cp $1 .config
	echo "CONFIG_DEBUG_LEVEL=%{debug_level}" >> .config
	make oldnoconfig V=1

	make V=1 EXTRAVERSION="-%{release}" $4
	cp out/$2 binaries/$3
}

# seabios
build_bios %{SOURCE15} Csm16.bin bios-csm.bin
build_bios %{SOURCE16} bios.bin.elf bios-coreboot.bin
build_bios %{SOURCE17} bios.bin bios.bin
build_bios %{SOURCE18} bios.bin bios-256k.bin

# seavgabios
build_bios %{SOURCE10} vgabios.bin vgabios-cirrus.bin out/vgabios.bin
build_bios %{SOURCE11} vgabios.bin vgabios-isavga.bin out/vgabios.bin
build_bios %{SOURCE12} vgabios.bin vgabios-qxl.bin out/vgabios.bin
build_bios %{SOURCE13} vgabios.bin vgabios-stdvga.bin out/vgabios.bin
build_bios %{SOURCE14} vgabios.bin vgabios-vmware.bin out/vgabios.bin
build_bios %{SOURCE19} vgabios.bin vgabios-virtio.bin out/vgabios.bin


%install
mkdir -p %{buildroot}%{_datadir}/seabios
mkdir -p %{buildroot}%{_datadir}/seavgabios
install -m 0644 binaries/bios.bin %{buildroot}%{_datadir}/seabios/bios.bin
install -m 0644 binaries/bios-256k.bin %{buildroot}%{_datadir}/seabios/bios-256k.bin
install -m 0644 binaries/bios-csm.bin %{buildroot}%{_datadir}/seabios/bios-csm.bin
install -m 0644 binaries/bios-coreboot.bin %{buildroot}%{_datadir}/seabios/bios-coreboot.bin
install -m 0644 binaries/vgabios*.bin %{buildroot}%{_datadir}/seavgabios


%files
%doc COPYING COPYING.LESSER README


%files bin
%dir %{_datadir}/seabios/
%{_datadir}/seabios/bios*.bin

%files -n seavgabios-bin
%dir %{_datadir}/seavgabios/
%{_datadir}/seavgabios/vgabios*.bin

%changelog

* Thu Nov 23 2017 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.11.0-1
- (477697a) Updated to version 1.11.0 based on what Fedora has


